<?php
//create coupons table inside of wordpress database - Holds all coupon details
function coupons_install() 
{
	global $wpdb;
	$table_name = $wpdb->prefix . "wpiscbp_coupons";
   
	$sql = "CREATE TABLE $table_name 
	(
		id BIGINT(20) NOT NULL AUTO_INCREMENT,
		coupon_code VARCHAR(25),
		expiry_date DATE,
		coupon_used BOOLEAN NOT NULL DEFAULT 0,
		bundle_id BIGINT(20),
		user_fname VARCHAR(25),
		user_lname VARCHAR(25),
		user_email VARCHAR(80),
		exported BOOLEAN NOT NULL DEFAULT 0,
		UNIQUE KEY id (id)
	);";
	
   require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
   dbDelta($sql);
}
//creates table that holds available products to put into bundles
function bundle_products_install() 
{
	global $wpdb;
	$table_name = $wpdb->prefix . "wpiscbp_bundle_products";
   
	$sql = "CREATE TABLE $table_name 
	(
		id BIGINT(20) NOT NULL AUTO_INCREMENT,
		is_id BIGINT(20),
		product_name VARCHAR(50),
		product_value FLOAT,
		UNIQUE KEY id (id)
	);";
	
   require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
   dbDelta($sql);
}
//creates table that holds all available bundles
function bundles_install() 
{
	global $wpdb;
	$table_name = $wpdb->prefix . "wpiscbp_bundles";
   
	$sql = "CREATE TABLE $table_name 
	(
		id BIGINT(20) NOT NULL AUTO_INCREMENT,
		bundle_name VARCHAR(50),
		bundle_value FLOAT,
		bundle_description VARCHAR(250),
		bundle_shipping FLOAT NOT NULL DEFAULT 0,
		bundle_image VARCHAR(255),
		bundle_date DATE,
		UNIQUE KEY id (id)
	);";
	
   require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
   dbDelta($sql);
}
//creates table that assigns products to available bundles
function assign_product_bundles_install() 
{
	global $wpdb;
	$table_name = $wpdb->prefix . "wpiscbp_assign_product_bundles";
   
	$sql = "CREATE TABLE $table_name 
	(
		id BIGINT(20) NOT NULL AUTO_INCREMENT,
		product_id BIGINT(20),
		bundle_id BIGINT(20),
		UNIQUE KEY id (id)
	);";
	
   require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
   dbDelta($sql);
}