<?php
//error_reporting(0);
ob_start();
add_action('admin_menu', 'wpiscbp_menu');

function wpiscbp_menu() 
{
	//create main admin page for plugin
	add_menu_page('WPISCBP', 'WP-GroupIn', 'administrator', __FILE__, 'wpiscbp_option_pages');
	//create sub-pages for plugin
	add_submenu_page(__FILE__,'API Settings','API Settings',8,'api', 'wpiscbp_api');
	add_submenu_page(__FILE__,'Products','Available Products',8,'products', 'wpiscbp_products_list');
	add_submenu_page(__FILE__,'cBundles','Create Bundles',8,'cbundles', 'wpiscbp_bundle_options');
	add_submenu_page(__FILE__,'eBundles','Edit Bundles',8,'ebundles', 'wpiscbp_bundle_options2');
	add_submenu_page(__FILE__,'Coupons','Coupons',8,'coupons', 'wpiscbp_upload_coupons');
	add_submenu_page(__FILE__,'Export','Export',8,'export', 'wpiscbp_export_db');
	//call for registering global variables
	add_action( 'admin_init', 'register_wisp_settings' );
}

//register global variables
function register_wisp_settings() 
{
    register_setting( 'infusion-settings', 'API_Name' );
    register_setting( 'infusion-settings', 'API_Key' );
    register_setting( 'infusion-settings', 'Merchant_ID' );
    register_setting( 'infusion-settings', 'Currency' );
    register_setting( 'infusion-settings', 'Custom_Flds' );
    
}


function wpiscbp_option_pages()
{

?>

<?php include('wp-iscbp-style.php');?>

<div class="wrap">
<h1>WP-GroupIn</h1>
<h2>Installation and Setup Guide</h2>
<hr/>

<ol>
<li><h4>API Settings</h4></li>
<li><h4>Choose some Products</h4></li>
<li><h4>Build a Bundle</h4></li>
<li><h4>Upload a coupon CSV</h4></li>
</div>

<div class="wrap">
<h1>WP-GroupIn</h1>
<h2>Installation and Setup Guide</h2>
<hr/>

<ol>
<li><h4>API Settings</h4></li>
<li><h4>Choose some Products</h4></li>
<li><h4>Build a Bundle</h4></li>
<li><h4>Upload a coupon CSV</h4></li>
</div>

<?php


}

?>

<?php
function wpiscbp_api()
{
        global $infusionsoft, $apiname, $apikey;
		$wpiscbp_url = site_url() ."/wp-content/plugins/wp-issbp/";
?>

<div class="wrap">
    <?php screen_icon(); ?>
<h2>Infusionsoft API Settings</h2>

    <div style="margin: 0 auto;">
        <table width="650" cellpadding="1" cellspacing="1" border="0" align="center">
<?php if( isset($_GET['settings-updated']) ) 
{
?>

<script type="text/javascript">

jQuery(document).ready(function() {
            jQuery.ajax({
				url: "http://automatedmarketing.co.uk/customers/wp-issc/wp-issc.php?",
				type: 'GET',
				data: {
        				api_name: "<?=esc_attr(get_option('API_Name')) ?>",
        				api_key: "<?=esc_attr(get_option('API_Key')) ?>",
        				hostname: "<?=$wpiscbp_url ?>",
        				client_time: "<?= date('Y-m-d H:i:s') ?>"
        				},
				dataType: 'html', 
				success: function(response) {
                            				jQuery('#confirm_changes').html(response);
                            				}
			});
    });

</script>
            <tr>
                <td colspan="2" align="center">
                    <div id="message" class="updated">
                        <h3 align="center"><strong><?php _e('Settings saved.') ?></strong><span id="confirm_changes"></span></h3>
                    </div>
                </td>
            </tr>
<?php } ?>
        <form action="options.php" method="post">
        <?php settings_fields('infusion-settings'); ?>
            <tr>
                <td width="40%" valign="top" align="right"><label for="API_Name">Infusionsoft API Name</label>:</td>
                <td width="60%" valign="top" align="left"><input type="text" value="<?=esc_attr(get_option('API_Name')) ?>" name="API_Name" id="API_Name" style="width: 100%;" <?php if ( !is_admin() ){ echo 'readonly="readonly"'; } ?>/></td>
            </tr>
            <tr>
                <td valign="top" align="right"><label for="API_Key">Infusionsoft API Key</label>:</td>
                <td valign="top" align="left"><input type="text" value="<?=esc_attr(get_option('API_Key')) ?>" name="API_Key" id="API_Key" style="width: 100%;" <?php if ( !is_admin() ){ echo 'readonly="readonly"'; } ?>/></td>
            </tr>
            <tr>
                <td valign="top" align="right"><label for="Merchant_ID">Infusionsoft Merchant ID</label>:</td>
                <td valign="top" align="left"><input type="text" value="<?=esc_attr(get_option('Merchant_ID')) ?>" name="Merchant_ID" id="Merchant_ID" <?php if ( !is_admin() ){ echo 'readonly="readonly"'; } ?>/></td>
            </tr>
            <tr>
                <td valign="top" align="right"><label for="Custom_Flds">Order Custom Fields</label>:</td>
                <td valign="top" align="left"><input type="text" value="<?=esc_attr(get_option('custom_flds')) ?>" name="Custom_Flds" id="Custom_Flds" style="width: 100%;" placeholder="e.g. MothersDueDate,ClothingSize" <?php if ( !is_admin() ){ echo 'readonly="readonly"'; } ?>/></td>
            </tr>            
            <tr>
                <td valign="top" align="right"><label for="Currency">Currency</label>:</td>
                <td valign="top" align="left">
				<select name="Currency" id="Currency" <?php if ( !is_admin() ){ echo 'readonly="readonly"'; } ?>/>
					<option selected="selected"><?=esc_attr(get_option('Currency')) ?></option>
					<option value="&pound;">Great British Pound's - &pound;</option>
					<option value="$">American Dollars - $</option>
					<option value="R">South African Rand - R</option>
				</select>
				</td>
            </tr>
            <tr>
                <td colspan="2" align="center"><input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" <?php if ( !is_admin() ){ echo 'disabled="disabled"'; } ?>/></td>
            </tr>
        
            <tr>
                <td colspan="2" align="left"><br /><br />
                    <h2 align="center">How to find the Infusionsoft API Key and Application Name</h2>
                    <p>Your <strong>Infusionsoft API Application Name</strong> is your Infusionsoft account name. Together with the <strong>Infusionsoft API Key</strong> this information grants access to your Infusionsoft account.<br /></p>
                    <ol>
                        <li>Login to your Infusionsoft account.</li>
                        <li>Click on Setup.</li>
                        <li>Click on Misc. Settings.</li>
                        <li>Scroll to the bottom of the page.</li>
                        <li>Copy the encrypted key as it is your Infusionsoft API Key.</li> 
                    </ol>
                </td>
            </tr>
        </form>
        </table>
    </div>

</div>
<?php
}

//Export MySQL database into a CSV
function wpiscbp_export_db()
{
		$form .="
					<style>
					.alert {
					padding: 0px 35px 0px 14px;
					margin-bottom: 18px;
					color: #C09853;
					text-shadow: 0 1px 0 rgba(255, 255, 255, 0.5);
					background-color: #FCF8E3;
					border: 1px solid #FBEED5;
					-webkit-border-radius: 4px;
					-moz-border-radius: 4px;
					border-radius: 4px;
					}</style>
					<div class='wrap'>
					<form action='' method='post' enctype='multipart/form-data'>
					<fieldset>
						<legend><h2>Export as CSV</h2></legend>
						<hr/>
						<p>&nbsp;</p>
						<div class='alert'>
						 
						 <p>
							<strong>Warning - please read carefully</strong><br/>
						
									Clicking export will cause ALL unexported but used coupons to be marked as exported!
									Please ensure not to refresh or navigate away from the page until the download is complete as you will not be able to re-export the data.
							</p>
						 
						</div>
						<p>
							<input class='button-secondary' type='submit' name='submit_export' value='Export as CSV' />
							<small>File will begin downloading automatically</small>
						</p>
					</fieldset>
					</form>
					</div>
				";
	
	echo $form;
}



//Add products from Infusionsoft into wordpress MySQL database
function wpiscbp_products_list()
{
	global $wpdb, $infusionsoft, $apiname, $apikey, $wpiscbp_url, $Currency;
	
	$table_name_products = $wpdb->prefix . "wpiscbp_bundle_products";
	$table_name_product_assign = $wpdb->prefix . "wpiscbp_assign_product_bundles";
	$sql = "SELECT * FROM ".$table_name_products."";
	
    include("wp-iscbp-style.php");
	require_once('js/wpiscbp-validate.js');
	
	$pro_id = $_POST["delid"];

	//delete product
	if(isset($_POST['del_product']))
	{			
		$wpdb->query("DELETE FROM ".$table_name_products." WHERE id = ".$pro_id."");
		$wpdb->query("DELETE FROM ".$table_name_product_assign." WHERE product_id = ".$pro_id."");
		
		echo "<style>		.alert {
		padding: 8px 35px 0px 14px;
		margin-bottom: 18px;
		color: #C09853;
		text-shadow: 0 1px 0 rgba(255, 255, 255, 0.5);
		background-color: #FCF8E3;
		border: 1px solid #FBEED5;
		-webkit-border-radius: 4px;
		-moz-border-radius: 4px;
		border-radius: 4px;
		}
		.alert-delete {
		color: #BD3E37;
		background-color: #FFA993;
		border-color: #E9CEC6;
		}
		</style>";
		
		echo "<div class='alert-delete alert'><strong>This product has been deleted from available product listings and ALL bundles!</strong></div>";
	}
		
	echo "<div class=\"wrap\">";
	echo "<h1>Available Products</h1>";


	if(isset($_POST['submit_product']))
	{
		$product_is_id = $_POST['products'];
		
		echo "<style>		.alert {
		padding: 8px 35px 0px 14px;
		margin-bottom: 18px;
		color: #C09853;
		text-shadow: 0 1px 0 rgba(255, 255, 255, 0.5);
		background-color: #FCF8E3;
		border: 1px solid #FBEED5;
		-webkit-border-radius: 4px;
		-moz-border-radius: 4px;
		border-radius: 4px;
		}
		.alert-success {
		color: #468847;
		background-color: #DFF0D8;
		border-color: #D6E9C6;
		}
		</style>";
		
		echo "<div class='alert-success alert'><strong>This Product is now available for bundling!</strong>";
	
		$query = array('Id' => $product_is_id);	
		$returnFields = array('Id','ProductName','ProductPrice');
		$product = $infusionsoft->dsQuery("Product",1,0,$query,$returnFields);
	
		echo "<p style='color: #777;'s><strong> Infusionsoft ID:</strong> ".$product[0]['Id'];
		echo "<strong> Product Name:</strong> ".$product[0]['ProductName'];
		echo "<strong> Product Price:</strong> ".$product[0]['ProductPrice']."</p>";
		echo "</div>";
		
		$is_id 			= $product[0]['Id'];
		$product_name 	= $product[0]['ProductName'];
		$product_value 	= $product[0]['ProductPrice'];
		
		$arr_prod = array	( 	
								'is_id' 		=> $is_id,
								'product_name'	=> $product_name,
								'product_value'	=> $product_value										
							);
									
		$rows_affected = $wpdb->insert($table_name_products, $arr_prod);
	}
	else
	{
		$maxRecords = 1000;
		$page = 0;
	
		$query = array('ProductName' => '%');	
		$returnFields = array('Id','ProductName');
		$products = $infusionsoft->dsQuery("Product",10,0,$query,$returnFields);
	
		// Pushing all products into one array
		while(true)
		{
			$products = $infusionsoft->dsQuery("Product",$maxRecords,$page,$query,$returnFields);

			$i = 0;
			foreach($products as $prod)
			{
				$index = ($page * $maxRecords) + $i;
				$append[$index] = $prod;
				$i++;
			}

			if(count($products) < $maxRecords)
			{
				break;
			}
			$page++;
		}
		$products = $append;
		unset($append);
		
		sort($products);
	
		// START GET PRODUCTS LIST  
		$rows = $products;
		$select ="<option>Select a Product</option>";
		if(count($rows) == 0)
		{
			$select = "<option>No Products Saved</option>";
		}
		else
		{
			foreach($rows as $row)
			{
			$select .= "<option value='".$row["Id"]."'>".$row["ProductName"]."</option>";
			}
		}
		// END GET PRODUCTS LIST
	
		$form .=
				"
				
				<form action='' method='post' enctype='multipart/form-data'>
				<fieldset>
					<legend><h2>Select which products will be made bundle ready:</h2></legend>
					<p>
						<label for='products'><b>Products:</b></label>
						<select name='products' style='width:200px;'>
							".$select."
						</select>
					
						<input class='button-primary' type='submit' name='submit_product' value='Add Product' />
					</p>
				</fieldset>
				</form>
				";
	}

	$products_list = $wpdb->get_results($sql);
	
	$form .= "
			<p>
			<h2>Current Bundle Ready Products</h2>
				
				
				<table class=\"widefat\">
				<thead>
				    <tr>
				        <th>Product Name</th>
				        <th>Cost</th>
						<th> </th>
				    </tr>
				</thead>
				

			 ";
			 
	foreach($products_list as $product_item)
	{
		$product_name = $product_item->product_name;
		$product_value = $product_item->product_value;
		$product_id = $product_item->id;
		
		$form .="
					<tr>
						<td>
							".$product_name."
						</td>
						<td>
							".$Currency.number_format((float)$product_value, 2, '.', '')."
						</td>
						<td>
							<!--<a href='".home_url()."/wp-admin/admin.php?page=products&del=1&delid=".$product_id."'>X</a>-->
							<form action='' method='post' class='confirm_prod' enctype='multipart/form-data'>
								<input type='hidden' name='delid' value='".$product_id."'>
								<input class='button-secondary' type='submit' name='del_product' value='Delete' />
							</form>
						</td>
					</tr>
				";
	}
	
	$form .="
				</table>
			</p>
			</div>
			";
			
	echo $form;
	
}

//Create bundles
function wpiscbp_bundle_options()
{
	global $wpdb, $infusionsoft, $apiname, $apikey, $wpiscbp_url;
	
	require_once('js/wpiscbp-validate.js');
	
	$table_name_bundles = $wpdb->prefix . "wpiscbp_bundles";
	$table_name_products = $wpdb->prefix . "wpiscbp_bundle_products";
	$table_name_product_assign = $wpdb->prefix . "wpiscbp_assign_product_bundles";
    
    include('wp-iscbp-style.php');
    include('wp-iscbp-js.php');
	echo "<h1>Bundles</h1>";	

	if(isset($_POST['submit_bundle']))
	{
		$bundle_name = $_POST['bundle_name'];
		$bundle_value = $_POST['bundle_value'];
		$bundle_desc = $_POST['description'];
		$bundle_shipping = $_POST['shipping'];
		
		if ($_FILES['b_image']['error'] > 0)
		{
			$form .= "Problem upload image :- <br /> Error: " . $_FILES['b_image']['error'] . "<br />";
		}
		else
		{
			$overrides = array( 'test_form' => false);
			$file=wp_handle_upload($_FILES['b_image'], $overrides);
		
			$arr_bun = array	( 	
									'bundle_name' 		=> stripslashes($bundle_name),
									'bundle_value'		=> $bundle_value,
									'bundle_description'=> stripslashes($bundle_desc),
									'bundle_shipping'	=> $bundle_shipping,
									'bundle_image'		=> $_FILES['b_image']['name'],
									'bundle_date'		=> date('Y-m-d')
								);

			$rows_affected = $wpdb->insert($table_name_bundles, $arr_bun);
			$form .="<strong>The bundle ".$bundle_name." has been created!</strong>";
		}
	}
	else
	{
	$form .= "<div id='bundle-error'></div>
			<form action='' method='post' class='blankform2' enctype='multipart/form-data'>
				<fieldset>
					<legend><h2>Create a Bundle</h2></legend>
					<p>
						<label for='bundle_name'>Bundle Name:</label>
						<input type='text' size='35' name='bundle_name' class='required' />
					</p>
					<p>
						<label for='bundle_value'>Bundle Value:</label>
						<input type='text' size='35' name='bundle_value' class='required' />
					</p>
					<p>
						<label for='description'>Description:</label>
						<textarea cols='40' rows='5' name='description'>Bundle Description...</textarea>
					</p>
					<p>
						<label for='shipping'>Shipping Charge:</label>
						<input type='text' size='10' name='shipping' class='required' />
					</p>
					<p>
						<label for='b_image'>Bundle Image:</label>
						<input type='file' name='b_image' id='b_image' class='required' accept='image/*'/>
					</p>
					<p>
						<input class='button-secondary' type='submit' name='submit_bundle' value='Create' />
					</p>
				</fieldset>
			</form>
			";
	}
		
	echo $form;
}

//Populate and edit bundle
function wpiscbp_bundle_options2()
{
	global $wpdb, $infusionsoft, $apiname, $apikey, $wpiscbp_url, $Currency;
	
	require_once('js/wpiscbp-validate.js');
	
	$table_name_bundles = $wpdb->prefix . "wpiscbp_bundles";
	$table_name_products = $wpdb->prefix . "wpiscbp_bundle_products";
	$table_name_product_assign = $wpdb->prefix . "wpiscbp_assign_product_bundles";
	$table_name_coupons = $wpdb->prefix . "wpiscbp_coupons";
	
	$pro_id = $_POST["delid"];

	//delete product
	if(isset($_POST['del_bundle']))
	{			
		$wpdb->query("DELETE FROM ".$table_name_bundles." WHERE id = ".$pro_id."");
		$wpdb->query("DELETE FROM ".$table_name_product_assign." WHERE bundle_id = ".$pro_id."");
		$wpdb->query("DELETE FROM ".$table_name_coupons." WHERE bundle_id = ".$pro_id."");
		
		echo "<style>		.alert {
		padding: 8px 35px 0px 14px;
		margin-bottom: 18px;
		color: #C09853;
		text-shadow: 0 1px 0 rgba(255, 255, 255, 0.5);
		background-color: #FCF8E3;
		border: 1px solid #FBEED5;
		-webkit-border-radius: 4px;
		-moz-border-radius: 4px;
		border-radius: 4px;
		}
		.alert-delete {
		color: #BD3E37;
		background-color: #FFA993;
		border-color: #E9CEC6;
		}
		</style>";
		
		echo "<div class='alert-delete alert'><strong>This Bundle has been deleted!</strong></div>";
	}

	if(isset($_POST['addto_bundle'])||isset($_POST['add_prodto_bundle']))
	{
		$bundle = $_POST['bundles'];
		$product_b = $_POST['bunprod'];
	
		if(isset($_POST['add_prodto_bundle']))
		{
			$bundle_product = $_POST['bunprod'];
			$bundle = $_POST['bundle_id'];
			
			$arr_as = array( 	
								'product_id' => $bundle_product,
								'bundle_id' => $bundle,									
							);
			
			$rows_affected = $wpdb->insert($table_name_product_assign, $arr_as);
			
			$form .="<strong>That product has been added to the chosen bundle</strong>";
		}
		
			// START GET BUNDLE PRODUCT LIST  
			$query = "SELECT * FROM ". $table_name_products;
			$rows = $wpdb->get_results($query);
			//$select ="<option></option>";
			$select = "";
			if(count($rows) == 0)
			{
				$select = "<option>No Products Saved</option>";
			}
			else
			{
				foreach($rows as $row)
				{
					$select .= "<option value='".$row->id."'>".$row->product_name."</option>";
				}
			}
			// END GET BUNDLE PRODUCT LIST
		
			$form .=
					"
					<form action='' method='post' enctype='multipart/form-data'>
					<fieldset>
						<legend><h2>Select Product to add: </h2></legend>
						<p>
							<label for='bunprod'><b>Products:</b></label>
							<select name='bunprod'>
								".$select."
							</select>
							  <input type='hidden' name='bundle_id' value='".$bundle."'>
						</p>
						<p>
							<input class='button-secondary' type='submit' name='add_prodto_bundle' value='Select' />
						</p>
					</fieldset>
					</form>
					";
			/*---------------------DISPLAY-BUNDLE-PRODUCTS--------------------------*/
			$image_sql = "SELECT * FROM ".$table_name_bundles." WHERE id=".$bundle;
			$image_res = $wpdb->get_results($image_sql);
			
			foreach($image_res as $details)
			{
				$product_name = $details->bundle_image;
				$upload_date = $details->bundle_date;

				$date_vals = explode("-", $upload_date);
				
				$upload_year = $date_vals[0];
				$upload_month = $date_vals[1];
			}
			
			$bundle_picture = "<img src='".get_option("siteurl")."/wp-content/uploads/".$upload_year."/".$upload_month."/".$product_name."' width='150px'>";
			
			//$form .= $bundle_picture."   <a href='".home_url()."/wp-admin/admin.php?page=ebundles&del=1&delid=".$bundle."' class='delete' >DELETE</a>";
			
			
			$form .= $bundle_picture." <form action='' method='post' class='confirm_bun' enctype='multipart/form-data'>
											<input type='hidden' name='delid' value='".$bundle."'>
											<input class='button-secondary' type='submit' name='del_bundle' value='Delete' />
									    </form>";
			
			$sql = "SELECT * FROM ".$table_name_product_assign.",".$table_name_products." WHERE ".$table_name_product_assign.".bundle_id=".$bundle." AND ".$table_name_products.".id=".$table_name_product_assign.".product_id";
			$results = $wpdb->get_results($sql);
			
			$form .="	
						<table class=\"widefat\">
						<thead>
						    <tr>
								<th>
									<strong>Products in Bundle</strong>
								</th>
								<th>
									<strong>Shipping</strong>
								</th>
								<th>
									<strong>Cost</strong>
								</th>
							</tr>
				        </thead>
					";
					
		
			foreach($results as $result)
			{
				$name = $result->product_name;
				
				$sql = "SELECT * FROM ".$table_name_bundles." WHERE id=".$bundle;
				$ship = $wpdb->get_results($sql);
				
				$shipping = $ship[0]->bundle_shipping;
				$bundle_cost = $ship[0]->bundle_value;
				
				//Display products in the current bundle
				$form .="
							<tr>
								<td>
									".$name."
								</td>
								<td>
									-
								</td>
								<td>
									-
								</td>
							</tr>
						";
			}
			//Display Bundle cost and shipping cost.
			$form .="
							<tr>
								<td>
									-
								</td>
								<td>
									".$Currency.number_format((float)$shipping, 2, '.', '')."
								</td>
								<td>
									".$Currency.number_format((float)$bundle_cost, 2, '.', '')."
								</td>
							</tr>
						</table>
					";
			/*---------------------DISPLAY-BUNDLE-PRODUCTS--------------------------*/
	}
	else
	{
		// START GET BUNDLES LIST  
		$query = "SELECT * FROM ". $table_name_bundles;
		$rows = $wpdb->get_results($query);
		//$select ="<option></option>";
		$select = "";
		if(count($rows) == 0)
		{
			$select = "<option>No Bundles Saved</option>";
		}
		else
		{
			foreach($rows as $row)
			{
				$select .= "<option value='".$row->id."'>".$row->bundle_name."</option>";
			}
		}
		// END GET BUNDLES LIST
		
		$form .=
				"
				<form action='' method='post' enctype='multipart/form-data'>
				<fieldset>
					<legend><h2>Add to Bundle</h2></legend>
					<p>
						<label for='bundles'><b>Bundles:</b></label>
						<select name='bundles'>
							".$select."
						</select>
					</p>
					<p>
						<input class='button-secondary' type='submit' name='addto_bundle' value='Select' />
					</p>
				</fieldset>
				</form>
				";
	}
	
	echo $form;

}

//Upload coupons from a CSV file to wordpress MySQL database
//--------------------------------//
//CSV FORMAT					  //
//								  //
//coupon_code,expiry_date		  //
//								  //
//--------------------------------//
function wpiscbp_upload_coupons()
{
	global $wpdb;
	
	require_once('js/wpiscbp-validate.js');
	
	$table_name_coupons = $wpdb->prefix . "wpiscbp_coupons";
	
	echo "<h1>Coupons</h1>";
	if(isset($_POST['submit_csv']))
	{
		if ($_FILES["csv_file"]["error"] > 0)
		{
			echo "Error: " . $_FILES["csv_file"]["error"] . "<br />";
		}
		else
		{
			$arr_rows = file($_FILES['csv_file']['tmp_name']);
                        $file_handle = fopen($_FILES['csv_file']['tmp_name'], "rb");
                        while (!feof($file_handle) ) {
                            $line_of_text = fgets($file_handle);
                        }

                        $arr_rows = explode("\r",$line_of_text);
                        fclose($file_handle);
                        
			$csv_count = count($arr_rows);
			if (is_array($arr_rows))
			{
				$errors = 0;
				foreach ($arr_rows as $row)
				{
					// split into values
					$arr_values = explode(",", $row);

					// set row values
					$coupon_code 			= $arr_values[0];
					$expiry_date 			= date('Y-m-d', strtotime($arr_values[1]));
					$bundle_selected		= $_POST['bundles'];
				
					// set insert array query
					$arr_co = array( 	
                                                        'coupon_code' => $coupon_code,
                                                        'expiry_date' => $expiry_date,
                                                        'bundle_id' => $bundle_selected
                                                        );
					$sql_check = "SELECT * FROM ".$table_name_coupons." WHERE coupon_code='".$coupon_code."'";
					$check = $wpdb->get_results($sql_check);
					$check_count = count($check);
					//if coupon code already exists within the database, return error message. otherwise, add it to the database
					if($check_count > 0)
					{
						echo "<font color='red'>Unable to add coupon code</font> <strong>".$coupon_code."</strong> <font color='red'>because it already exists</font><br />";
						$errors++;
					}
					else
					{
						$rows_affected = $wpdb->insert($table_name_coupons, $arr_co);
					}
				}
			}
			//if all coupons within the CSV already exist print out error, otherwise print successful message
			if($errors == $csv_count)
			{
				$errors = 0;
				$form = "<br /><br /><strong>Unable to upload any coupons within this CSV</strong> - You likely have already upload this CSV before.<br /><br/> Refresh this page to try again...";
				echo $form;
				break;
			}
			else
			{
				if($errors > 0)
				{
					$form = "<br /><strong>CSV file uploaded</strong> - However some codes were not added, see above.<br />";
				}
				else
				{
					$form = "<br /><strong>CSV file uploaded</strong><br />";
				}
			}
			
		}
	}
	else
	{
	// START GET BUNDLES LIST  
                $table_name_bundles = $wpdb->prefix . "wpiscbp_bundles";
	
		$query = "SELECT * FROM ". $table_name_bundles;
		$rows = $wpdb->get_results($query);
		//$select ="<option value='0'></option>";
		$select = "";
		if(count($rows) == 0)
		{
			$select = "<option value='0'>No Bundles Saved</option>";
		}
		else
		{
			foreach($rows as $row)
			{
				$select .= "<option value='".$row->id."'>".$row->bundle_name."</option>";
			}
		}
	// END GET BUNDLES LIST
	
	$form = "<div id='coupon-error'></div>
			<form action='' method='post' class='blankform2' enctype='multipart/form-data'>
				<fieldset>
					<legend><h2>Upload Coupon CSV</h2></legend>
					<p>
						<label for='csv_file'>Coupon CSV:</label>
						<input type='file' name='csv_file' id='csv_file' class='required' />
					</p>
					<p>
					<label for='bundles'><b>Coupons For:</b></label>
					<select name='bundles'>
						".$select."
					</select>
					</p>
					<p>
					<input class='button-secondary' type='submit' name='submit_csv' value='Submit' />
					</p>
				</fieldset>
			</form>
			";
	}
	
	if(isset($_POST['bundle_coupons']))
	{
		$sql = "SELECT * FROM ".$table_name_coupons." WHERE bundle_id=".$_POST['coupon_display']."";
		$coupons_list = $wpdb->get_results($sql);
		
		//echo $sql;
		//print_r($coupons_list);
		
		$form .= "
				<div class='wrap'>
				<h2>Current Coupons</h2>
					<table class=\"widefat\">
					<thead>
					   
							<th>
								<strong>Coupon</strong>
							</th>
							<th>
								<strong>Used</strong>
							</th>
							<th>
								<strong>Valid Until</strong>
							</th>
							<th>
								<strong>Bundle ID</strong>
							</th>
							<th>
								<strong>Exported?</strong>
							</th>

						</thead>
				";
			 
		foreach($coupons_list as $coupon_item)
		{
			$coupon_code = $coupon_item->coupon_code;
			$coupon_value = $coupon_item->coupon_value;
			$coupon_desc = $coupon_item->coupon_description;
			$coupon_used = $coupon_item->coupon_used;
			$bundle_id = $coupon_item->bundle_id;
			$exported = $coupon_item->exported;
		
			$query = "SELECT * FROM ".$table_name_bundles." WHERE id=".$bundle_id;
			$rows = $wpdb->get_results($query);
		
		
			if($coupon_used!=0)
			{
				$valid_coupon = "YES";
			}
			else
			{
				$valid_coupon = "NO";
			}
		
			if($exported!=0)
			{
				$export = "YES";
			}
			else
			{
				$export = "NO";
			}
			if($bundle_id==0)
			{
				$bundle_name = "<strong>No Bundle Selected</strong>";
			}
			else
			{
				$bundle_name = $rows[0]->bundle_name;
			}
		
			$coupon_expiry = $coupon_item->expiry_date;
	
			$form .="
						<tr>
							<td>
								".$coupon_code."
							</td>
							<td>
								".$valid_coupon."
							</td>
							<td>
								".$coupon_expiry."
							</td>
							<td>
								".$bundle_name."
							</td>
							<td>
								".$export."
							</td>
						</tr>
					";
		}
	
		$form .="
					</table>
				</div>
				";
	}
	else
	{		 
		// START GET BUNDLES LIST  
                $table_name_bundles = $wpdb->prefix . "wpiscbp_bundles";
		$query = "SELECT * FROM ". $table_name_bundles;
		$rows = $wpdb->get_results($query);
		//$select ="<option value='0'></option>";
		$select = "";
		if(count($rows) == 0)
		{
			$select = "<option value='0'>No Bundles Saved</option>";
		}
		else
		{
			foreach($rows as $row)
			{
				$select .= "<option value='".$row->id."'>".$row->bundle_name."</option>";
			}
		}
		// END GET BUNDLES LIST
		
		$form .="
				<form action='' method='post' enctype='multipart/form-data'>
				<fieldset>
					<legend><h2>View Bundle Coupons</h2></legend>
					<p>
						<label for='coupon_display'><b>Bundles:</b></label>
						<select name='coupon_display'>
							".$select."
						</select>
					</p>
					<p>
						<input class='button-secondary' type='submit' name='bundle_coupons' value='Select' />
					</p>
				</fieldset>
				</form>
				";
	}

	echo $form;
}

//Register CSS for shortcode display
function bundle_stylesheet()
{
    // Respects SSL, Style.css is relative to the current file
    wp_register_style( 'bundle-style', plugins_url('css/wp-iscbp-style.css', __FILE__) );
    wp_enqueue_style( 'bundle-style' );
}

?>